#!/bin/bash

#Löscht alle "*.tar.gz" und "*.sql" Dateien die älter als 14 Tage sind:
find -P "/mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/Gitea/"  -maxdepth 1 -type f \( -name '*.tar.gz' \) -ctime +14 -exec rm {} \;
find -P "/mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/Gitea/"  -maxdepth 1 -type f \( -name '*.sql' \) -ctime +14 -exec rm {} \;

#Zur Sicherheit noch einen SQL-Dump der Datenbank
docker exec -i bmen-gitea-db -ugitea -pgitea gitea > /mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/Gitea/gitea-`date '+%Y%m%d%H%M'`.sql

#Die Docker Container stoppen und die Datenverzeichnisse komprimieren und wegkopieren
cd /root/deployments/gitea/
docker-compose stop
cd /opt/appdata/
tar cvf /mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/Gitea/gitea-`date '+%Y%m%d%H%M'`.tar.gz gitea/

#Docker Container aktualisieren und starten
cd /root/deployments/gitea/
docker-compose pull
docker-compose start

#Nextcloud Datenbank über die Dateiänderung Bescheid geben
docker exec --user www-data nextcloud php occ files:scan -p bmen/files/Server/Hetzner-Cloud-CX21/Gitea/
